Index: src/Potentials/Specifics/ConstantPotential.cpp
===================================================================
--- src/Potentials/Specifics/ConstantPotential.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/ConstantPotential.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -63,5 +63,5 @@
     ;
 const std::string ConstantPotential::potential_token("constant");
-Coordinator::ptr ConstantPotential::coordinator(new OneBody_Constant());
+Coordinator::ptr ConstantPotential::coordinator(Memory::ignore(new OneBody_Constant()));
 
 ConstantPotential::ConstantPotential() :
Index: src/Potentials/Specifics/FourBodyPotential_Improper.cpp
===================================================================
--- src/Potentials/Specifics/FourBodyPotential_Improper.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/FourBodyPotential_Improper.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -49,5 +49,5 @@
     ;
 const std::string FourBodyPotential_Improper::improper_token("improper");
-Coordinator::ptr FourBodyPotential_Improper::coordinator(new FourBody_ImproperAngle());
+Coordinator::ptr FourBodyPotential_Improper::coordinator(Memory::ignore(new FourBody_ImproperAngle()));
 
 FourBodyPotential_Improper::FourBodyPotential_Improper() :
Index: src/Potentials/Specifics/FourBodyPotential_Torsion.cpp
===================================================================
--- src/Potentials/Specifics/FourBodyPotential_Torsion.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/FourBodyPotential_Torsion.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -64,5 +64,5 @@
     ;
 const std::string FourBodyPotential_Torsion::potential_token("torsion");
-Coordinator::ptr FourBodyPotential_Torsion::coordinator(new FourBody_TorsionAngle());
+Coordinator::ptr FourBodyPotential_Torsion::coordinator(Memory::ignore(new FourBody_TorsionAngle()));
 
 FourBodyPotential_Torsion::FourBodyPotential_Torsion() :
Index: src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp
===================================================================
--- src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/ManyBodyPotential_Tersoff.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -80,5 +80,5 @@
     ;
 const std::string ManyBodyPotential_Tersoff::potential_token("tersoff");
-Coordinator::ptr ManyBodyPotential_Tersoff::coordinator(new OneBody_Constant());
+Coordinator::ptr ManyBodyPotential_Tersoff::coordinator(Memory::ignore(new OneBody_Constant()));
 
 ManyBodyPotential_Tersoff::ManyBodyPotential_Tersoff() :
Index: src/Potentials/Specifics/PairPotential_Harmonic.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Harmonic.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/PairPotential_Harmonic.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -65,5 +65,5 @@
     ;
 const std::string PairPotential_Harmonic::potential_token("harmonic_bond");
-Coordinator::ptr PairPotential_Harmonic::coordinator(new TwoBody_Length());
+Coordinator::ptr PairPotential_Harmonic::coordinator(Memory::ignore(new TwoBody_Length()));
 
 PairPotential_Harmonic::PairPotential_Harmonic() :
Index: src/Potentials/Specifics/PairPotential_LennardJones.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_LennardJones.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/PairPotential_LennardJones.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -65,5 +65,5 @@
     ;
 const std::string PairPotential_LennardJones::potential_token("lennardjones");
-Coordinator::ptr PairPotential_LennardJones::coordinator(new TwoBody_Length());
+Coordinator::ptr PairPotential_LennardJones::coordinator(Memory::ignore(new TwoBody_Length()));
 
 void PairPotential_LennardJones::setDefaultParameters()
Index: src/Potentials/Specifics/PairPotential_Morse.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Morse.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/PairPotential_Morse.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -67,5 +67,5 @@
     ;
 const std::string PairPotential_Morse::potential_token("morse");
-Coordinator::ptr PairPotential_Morse::coordinator(new TwoBody_Length());
+Coordinator::ptr PairPotential_Morse::coordinator(Memory::ignore(new TwoBody_Length()));
 
 PairPotential_Morse::PairPotential_Morse() :
Index: src/Potentials/Specifics/ThreeBodyPotential_Angle.cpp
===================================================================
--- src/Potentials/Specifics/ThreeBodyPotential_Angle.cpp	(revision 4da4defddffa2503040fe329681f55b1f6f8c856)
+++ src/Potentials/Specifics/ThreeBodyPotential_Angle.cpp	(revision 7d320c29fb3cf5f18317f1e2370bbf89802448e4)
@@ -65,5 +65,5 @@
     ;
 const std::string ThreeBodyPotential_Angle::potential_token("harmonic_angle");
-Coordinator::ptr ThreeBodyPotential_Angle::coordinator(new ThreeBody_Angle());
+Coordinator::ptr ThreeBodyPotential_Angle::coordinator(Memory::ignore(new ThreeBody_Angle()));
 
 ThreeBodyPotential_Angle::ThreeBodyPotential_Angle() :
